PermissionService
Manages permissions in XL Deploy.
| GET | /security/check/{permission} | Checks if the currently logged in user has a certain permission on a CI. |
| GET | /security/check/{permission}/{id:.+} | Checks if the currently logged in user has a certain permission on a CI. |
| GET | /security/granted-permissions | Gets all the permissions granted to the logged in user. |
| GET | /security/granted-permissions/id/{roleId} | Gets all the permissions granted to a role. |
| GET | /security/granted-permissions/{role} | Gets all the permissions granted to a role. |
| GET | /security/permission/inherit-parent/{id:.+} | Gets the inheritance of parent permissions for a specific configuration item (CI). |
| PUT | /security/permission/roles/{id:.+} | Updates the inheritance of parent permissions and permissions for a specific configuration item (CI). |
| GET | /security/permission/roles/{id:.+} | Gets the inheritance of parent permissions and permissions for a specific configuration item (CI). |
| GET | /security/permission/{permission}/{role} | Checks if a permission is granted to a role on a CI. |
| PUT | /security/permission/{permission}/{role} | Grants a permission to a role on a CI. |
| DELETE | /security/permission/{permission}/{role} | Revokes the permission of a role on a CI. |
| PUT | /security/permission/{permission}/{role}/{id:.*} | Grants a permission to a role on a CI. |
| GET | /security/permission/{permission}/{role}/{id:.+} | Checks if a permission is granted to a role on a CI. |
| DELETE | /security/permission/{permission}/{role}/{id:.+} | Revokes the permission of a role on a CI. |
| PUT | /security/roles/{id:.+}/permissions |
GET /security/check/{permission}
Checks if the currently logged in user has a certain permission on a CI.
- Parameters
-
Path permission String the name of the permission to check.
- Response body
- boolean - {@code true} if the user has this permission; {@code false} otherwise.
- Content type: application/xml
GET /security/check/{permission}/{id:.+}
Checks if the currently logged in user has a certain permission on a CI.
- Parameters
-
Path permission String the name of the permission to check.the path of the CI to check the permission on. Path id String the path of the CI to check the permission on.
- Response body
- boolean - {@code true} if the user has this permission; {@code false} otherwise.
- Content type: application/xml
GET /security/granted-permissions
Gets all the permissions granted to the logged in user.
- Response body
- String> - a Map of configuration item ids to permissions granted the currently logged in user.
- Content type: application/xml
GET /security/granted-permissions/id/{roleId}
Gets all the permissions granted to a role.
- Permissions
-
security#edit
- Parameters
-
Path roleId String the role to get the permissions for.
- Response body
- String> - a Map of configuration item ids to permissions granted to the user.
- Content type: application/xml
GET /security/granted-permissions/{role}
Gets all the permissions granted to a role.
- Permissions
-
security#edit
- Parameters
-
Path role String the role to get the permissions for.
- Response body
- String> - a Map of configuration item ids to permissions granted to the user.
- Content type: application/xml
GET /security/permission/inherit-parent/{id:.+}
Gets the inheritance of parent permissions for a specific configuration item (CI).
- Permissions
-
security#edit
- Parameters
-
Path id String The unique identifier of the configuration item (CI) for which the parent permissions inheritance is being updated.
- Response body
- CIPermissionDto
- Content type: application/xml
PUT /security/permission/roles/{id:.+}
Updates the inheritance of parent permissions and permissions for a specific configuration item (CI).
- Permissions
-
security#edit
- Parameters
-
Path id String The unique identifier of the configuration item (CI) for which the parent permissions inheritance is being updated. Request body application/xml CIPermissionDto A DTO object containing the flag indicating whether to inherit parent permissions. - `true`: Inherit parent permissions. - `false`: Do not inherit parent permissions.
- Response body
- Empty
GET /security/permission/roles/{id:.+}
Gets the inheritance of parent permissions and permissions for a specific configuration item (CI).
- Permissions
-
security#edit
- Parameters
-
Path id String The unique identifier of the configuration item (CI) for which the parent permissions inheritance is being updated. Query rolePattern String the role name pattern used for search Request body application/xml Paging which page and how many results per page to retrieve Query order Ordering search order Query includeInherited Boolean
- Response body
- Object
- Content type: application/xml
GET /security/permission/{permission}/{role}
Checks if a permission is granted to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to check.the role to which the permission should be granted. Path role String the role to which the permission should be granted.
- Response body
- boolean - {@code true} if granted.
- Content type: application/xml
PUT /security/permission/{permission}/{role}
Grants a permission to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to grant.the role to which the permission should be granted. Path role String the role to which the permission should be granted.
- Response body
- Empty
DELETE /security/permission/{permission}/{role}
Revokes the permission of a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to revoke.the role from which the permission should be revoked. Path role String the role from which the permission should be revoked.
- Response body
- Empty
PUT /security/permission/{permission}/{role}/{id:.*}
Grants a permission to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to grant.the path of the CI to grant the permission on.the role to which the permission should be granted. Path id String the path of the CI to grant the permission on. Path role String the role to which the permission should be granted.
- Response body
- Empty
GET /security/permission/{permission}/{role}/{id:.+}
Checks if a permission is granted to a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to check.the path of the CI to check the permission on.the role to which the permission should be granted. Path id String the path of the CI to check the permission on. Path role String the role to which the permission should be granted.
- Response body
- boolean - {@code true} if granted.
- Content type: application/xml
DELETE /security/permission/{permission}/{role}/{id:.+}
Revokes the permission of a role on a CI.
- Permissions
-
security#edit
- Parameters
-
Path permission String the name of the permission to revoke.the path of the CI to revoke the permission from.the role from which the permission should be revoked. Path id String the path of the CI to revoke the permission from. Path role String the role from which the permission should be revoked.
- Response body
- Empty
PUT /security/roles/{id:.+}/permissions
- Parameters
-
Path id String Request body application/xml EditRolePermissionsDto
- Response body
- Empty